BoUML 5.0 - Segmentation Fault

Please use this forum to signal bugs.
Merci d'utiliser ce forum pour signaler des bugs.

BoUML 5.0 - Segmentation Fault

Postby MpMp » Sat 10 Mar 2012 18:43

Good morning,
I write you about a bug in BoUML 5.0.
I installed BoUML 5.0 on Ubuntu 11.10 64 bit.
This is the output when I try to start the program from the shell:

bouml

(bouml:2538): Gtk-WARNING **: Impossibile trovare il motore del tema in module_path: «pixmap»,

(bouml:2538): Gtk-WARNING **: Impossibile trovare il motore del tema in module_path: «pixmap»,

(bouml:2538): Gtk-WARNING **: Impossibile trovare il motore del tema in module_path: «pixmap»,

(bouml:2538): Gtk-WARNING **: Impossibile trovare il motore del tema in module_path: «pixmap»,
Errore di segmentazione

The error can be translated as "Can't find theme motor in module_path: «pixmap»"
Last line is in Italian, the English translation is: Segmentation Fault.

Does this happen because I haven't a license? Or is it a bug?

Regards

----

Hi!
how do I know which version of qt I have installed?
I installed gtk2-engines-pixbuf but the problem of segmentation fault remains.
MpMp
 
Posts: 1
Joined: Sat 10 Mar 2012 18:42

Re: BoUML 5.0 - Segmentation Fault

Postby Bruno Pagès » Sat 10 Mar 2012 19:03

Hi,

These messages appears because GTK is not fully installed, to solve that just do : sudo apt-get install gtk2-engines-pixbuf

To explain more : when you start Bouml without a license I immediately show a file dialog to save the license request, by default the file dialog used by Qt is the native file dialog of Ubuntu and this one uses GTK.

Thank you for the bug report

Best regards,

Bruno Pagès
ImageAuthor of Bouml
Bruno Pagès
 
Posts: 465
Joined: Mon 20 Feb 2012 08:23
Location: France

Re: BoUML 5.0 - Segmentation Fault

Postby Bruno Pagès » Sat 10 Mar 2012 20:48

Hi,

I installed Ubuntu 11.10 64b under a VM (I don't know why but it wasn't possible to install it directly out of a VM on my PC), I have the same warnings, after the installation of gtk2-engines-pixbuf the warning stops but I have a crash like you. The viewer doesn't crash but strangely when it starts it shows the open file dialog like if we ask for to load a project.

The QT version is the 4.7.4, you can see that starting the viewer (boumlViewer) and choosing About Qt in the menu Help

Regards
ImageAuthor of Bouml
Bruno Pagès
 
Posts: 465
Joined: Mon 20 Feb 2012 08:23
Location: France

Re: BoUML 5.0 - Segmentation Fault

Postby Bruno Pagès » Sat 10 Mar 2012 22:18

After analyze the problem comes because Qt strangely and wrongly send events associated to the dynamic menus when they are configured, even it seems I found a way to ignore these wrong events I really don't like.

testing on all versions of Ubuntu I have :
  • Ubuntu 10.04 64b Qt 4.6.2 : OK
  • Ubuntu 10.04 32b Qt 4.6.2 : OK
  • Ubuntu 10.10 64b Qt 4.7.0 : OK
  • Ubuntu 10.10 32b Qt 4.7.0 : OK
  • Ubuntu 11.04 32b Qt 4.7.0 : OK
  • Ubuntu 11.10 64b Qt 4.7.4 : KO
  • Ubuntu 11.10 32b Qt 4.7.4 : KO

and :
  • Windows 7 with QT 4.8.0 (the version I distribute) : OK
  • Windows 7 with Qt 4.7.4 : OK
  • CentOS 5 with Qt 4.2.1 : OK
  • Debian Wheezy (testing) with Qt 4.7.4 : OK

visibly the problem concerns only Ubuntu 11.10 Qt 4.7.4, it is surprising to not have the same behavior between Ubuntu and Debian with the same version of Qt :?
ImageAuthor of Bouml
Bruno Pagès
 
Posts: 465
Joined: Mon 20 Feb 2012 08:23
Location: France

Re: BoUML 5.0 - Segmentation Fault

Postby Bruno Pagès » Sun 11 Mar 2012 23:04

bug fixed by the release 5.0.1, please refer to the historic for more details
ImageAuthor of Bouml
Bruno Pagès
 
Posts: 465
Joined: Mon 20 Feb 2012 08:23
Location: France


Return to Bug reports / Rapports de bugs

Who is online

Users browsing this forum: No registered users and 1 guest

cron